pimcore_data_hub:
    configurations:
        featureImporter:
            general:
                active: true
                type: dataImporterDataObject
                name: featureImporter
                description: ''
                group: ''
                path: null
                modificationDate: 1695732866
                createDate: 1695704559
            loaderConfig:
                type: upload
                settings:
                    uploadFilePath: featureImporter/upload.import
            interpreterConfig:
                type: csv
                settings:
                    skipFirstRow: true
                    delimiter: ;
                    enclosure: '"'
                    escape: \
            resolverConfig:
                elementType: dataObject
                dataObjectClassId: feature
                loadingStrategy:
                    type: attribute
                    settings:
                        dataSourceIndex: '0'
                        attributeName: featureID
                        language: ''
                createLocationStrategy:
                    type: staticPath
                    settings:
                        path: /Features
                locationUpdateStrategy:
                    type: noChange
                publishingStrategy:
                    type: noChangePublishNew
            processingConfig:
                executionType: sequential
                idDataIndex: ''
            mappingConfig:
                -
                    label: Icon
                    dataSourceIndex:
                        - '8'
                    settings:
                        loadStrategy: path
                    transformationResultType: asset
                    dataTarget:
                        type: direct
                        settings:
                            fieldName: Icon
                            language: ''
                            writeIfTargetIsNotEmpty: true
                            writeIfSourceIsEmpty: true
                    transformationPipeline:
                        -
                            settings:
                                loadStrategy: path
                            type: loadAsset
                -
                    label: title
                    dataSourceIndex:
                        - '7'
                    transformationResultType: default
                    dataTarget:
                        type: direct
                        settings:
                            fieldName: title
                            language: ''
                            writeIfTargetIsNotEmpty: true
                            writeIfSourceIsEmpty: true
                    transformationPipeline: {  }
                -
                    label: description
                    dataSourceIndex:
                        - '9'
                    transformationResultType: default
                    dataTarget:
                        type: direct
                        settings:
                            fieldName: description
                            language: ''
                            writeIfTargetIsNotEmpty: true
                            writeIfSourceIsEmpty: true
                    transformationPipeline: {  }
                -
                    label: FeatureStatus
                    dataSourceIndex:
                        - '5'
                    settings:
                        mode: both
                    transformationResultType: boolean
                    dataTarget:
                        type: direct
                        settings:
                            fieldName: FeatureStatus
                            language: ''
                            writeIfTargetIsNotEmpty: true
                            writeIfSourceIsEmpty: true
                    transformationPipeline:
                        -
                            settings:
                                mode: both
                            type: trim
                        -
                            type: boolean
                -
                    label: featureID
                    dataSourceIndex:
                        - '6'
                    transformationResultType: numeric
                    dataTarget:
                        type: direct
                        settings:
                            fieldName: featureID
                            language: ''
                            writeIfTargetIsNotEmpty: true
                            writeIfSourceIsEmpty: true
                    transformationPipeline:
                        -
                            type: numeric
                -
                    label: 'System Key'
                    dataSourceIndex:
                        - '0'
                    transformationResultType: default
                    dataTarget:
                        type: direct
                        settings:
                            fieldName: key
                            language: ''
                            writeIfTargetIsNotEmpty: true
                            writeIfSourceIsEmpty: true
                    transformationPipeline: {  }
            executionConfig:
                scheduleType: recurring
                cronDefinition: ''
                scheduledAt: ''
            permissions:
                user: {  }
                role: {  }
            workspaces: {  }
